- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# QAbstractGraphicsShapeItem Class Reference

Search for all occurrences

## Detailed Description

Definition at line 609 of file qgraphicsitem.h.

`#include <qgraphicsitem.h>`

Inheritance diagram for QAbstractGraphicsShapeItem:
[legend]

List of all members.

## Public Member Functions
| QAbstractGraphicsShapeItem (QGraphicsItem *parent=0, QGraphicsScene *scene=0)
| ~QAbstractGraphicsShapeItem ()
QPen | pen () const
void | setPen (const QPen &pen)
QBrush | brush () const
void | setBrush (const QBrush &brush)
bool | isObscuredBy (const QGraphicsItem *item) const
QPainterPath | opaqueArea () const
## Protected Member Functions
| QAbstractGraphicsShapeItem (QAbstractGraphicsShapeItemPrivate &dd, QGraphicsItem *parent, QGraphicsScene *scene)

## Constructor & Destructor Documentation

QAbstractGraphicsShapeItem | ( | QGraphicsItem * | parent = `0`,
|  | QGraphicsScene * | scene = `0`
| ) |  |

~QAbstractGraphicsShapeItem | ( |  | ) |

QAbstractGraphicsShapeItem | ( | QAbstractGraphicsShapeItemPrivate & | dd,
|  | QGraphicsItem * | parent,
|  | QGraphicsScene * | scene
| ) |  | `[protected]`

## Member Function Documentation

QPen pen | ( |  | ) | const

Search for all occurrences

void setPen | ( | const QPen & | pen | ) |

Search for all occurrences

QBrush brush | ( |  | ) | const

Search for all occurrences

void setBrush | ( | const QBrush & | brush | ) |

Search for all occurrences

bool isObscuredBy | ( | const QGraphicsItem * | item | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

Reimplemented in QGraphicsPathItem, QGraphicsRectItem, QGraphicsEllipseItem, QGraphicsPolygonItem, and QGraphicsSimpleTextItem.

QPainterPath opaqueArea | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QGraphicsItem.

Reimplemented in QGraphicsPathItem, QGraphicsRectItem, QGraphicsEllipseItem, QGraphicsPolygonItem, and QGraphicsSimpleTextItem.

The documentation for this class was generated from the following file:

- QtGui/qgraphicsitem.h

QAbstractGraphicsShapeItem QAbstractGraphicsShapeItem QAbstractGraphicsShapeItem QAbstractGraphicsShapeItem QAbstractGraphicsShapeItem QAbstractGraphicsShapeItem QAbstractGraphicsShapeItem QAbstractGraphicsShapeItem QAbstractGraphicsShapeItem QAbstractGraphicsShapeItem
QAbstractGraphicsShapeItem QAbstractGraphicsShapeItem QAbstractGraphicsShapeItem QAbstractGraphicsShapeItem QAbstractGraphicsShapeItem QAbstractGraphicsShapeItem QAbstractGraphicsShapeItem QAbstractGraphicsShapeItem QAbstractGraphicsShapeItem QAbstractGraphicsShapeItem